Bug 103931 - new category: gnustep - list with 50 port proposals
new category: gnustep - list with 50 port proposals
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 09:40 UTC by gurkan
Modified: 2007-02-06 10:36 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gurkan 2006-10-03 09:40:16 UTC
This port will allow the flawless installation of the GNUstep software system.

Fix: 

Create a new ports category.

Here is a list of 50 gnustep ports.

archivers/zipper
audio/cynthiune
audio/volumecontrol.app
databases/gdl2
deskutils/charmap
deskutils/gworkspace
deskutils/preferences.app
devel/gnustep
devel/gnustep-make
devel/gorm
devel/projectcenter.app
devel/ruby-gnustep
editors/emacs.app
games/gomoku.app
games/gridlock
games/gshisen
games/stepbill
games/gnustep-ladder
graphics/camera
graphics/imageviewer
graphics/price
graphics/gnustep-sildeshow
graphics/gnustep-slideshowkit
graphics/preview
irc/talksoup
lang/gnustep-base
lang/gnustep-guile
lang/gnustep-objc
mail/addresses
mail/gnumail
mail/pantomime
mail/pantomime-ssl
math/stepulator
math/edenmath
misc/gnustep-examples
net/netclasses
net-im/grouch
science/paje
science/gtamsanalyzer
shells/gscommander
sysutils/timemon
textproc/easydiff
x11/terminal.app
x11-toolkits/gnustep-art
x11-toolkits/gnustep-back
x11-toolkits/gnustep-cairo
x11-toolkits/gnustep-gui
x11-toolkits/gnustep-xdps
x11-toolkits/renaissance
deskutils/etoile
Comment 1 Edwin Groothuis freebsd_committer 2006-10-03 12:04:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

over to portmgr for approval
Comment 2 pav freebsd_committer 2006-11-24 19:28:24 UTC
State Changed
From-To: open->feedback

Are we talking about real or virtual category? 

A real category dedicated to gnustep (or any other software platform) is not 
going to happen.  Same way we don't have GNOME category, perl category or 
python category. 

So, you want this as a virtual category?
Comment 3 pav freebsd_committer 2007-01-23 20:01:49 UTC
State Changed
From-To: feedback->analyzed

Accepted for a test build on the cluster.
Comment 4 dfilter freebsd_committer 2007-01-31 18:18:22 UTC
dinoex      2007-01-31 18:18:14 UTC

  FreeBSD ports repository

  Modified files:
    archivers/freetar    Makefile 
    archivers/zipper     Makefile 
    astro/position       Makefile 
    audio/cddb-bundle    Makefile 
    audio/cynthiune      Makefile 
    audio/gnustep-cdplayer Makefile 
    audio/mp3towav-bundle Makefile 
    audio/mpdcon         Makefile 
    audio/volumecontrol.app Makefile 
    benchmarks/gsbench   Makefile 
    biology/adun         Makefile 
    biology/biococoa     Makefile 
    databases/fortytwo-bdb Makefile 
    databases/gdl2       Makefile 
    databases/mylibrary  Makefile 
    databases/sqlclient  Makefile 
    deskutils/affiche    Makefile 
    deskutils/appwrapper Makefile 
    deskutils/cartotheque Makefile 
    deskutils/charmap    Makefile 
    deskutils/displaycalibrator Makefile 
    deskutils/etoile-dictionaryreader Makefile 
    deskutils/etoile-extendedworkspacekit Makefile 
    deskutils/etoile-hardware Makefile 
    deskutils/etoile-lookandbehavior Makefile 
    deskutils/etoile-menuserver Makefile 
    deskutils/etoile-panekit Makefile 
    deskutils/etoile-servicesbarkit Makefile 
    deskutils/etoile-systemconfig Makefile 
    deskutils/etoile-trackerkit Makefile 
    deskutils/etoile-ui  Makefile 
    deskutils/gnustep-notebook Makefile 
    deskutils/gnuwash    Makefile 
    deskutils/gworkspace Makefile 
    deskutils/gworkspace-clipbook Makefile 
    deskutils/gworkspace-gwmetadata Makefile 
    deskutils/helpviewer Makefile 
    deskutils/mywiki     Makefile 
    deskutils/plopfolio  Makefile 
    deskutils/preferencepanes Makefile 
    deskutils/preferences.app Makefile 
    deskutils/systempreferences Makefile 
    deskutils/toolboxkit Makefile 
    deskutils/toolbox    Makefile 
    devel/etoile-collectionkit Makefile 
    devel/etoile-foundation Makefile 
    devel/etoile-unitkit Makefile 
    devel/fortytwo-encore Makefile 
    devel/gnustep        Makefile 
    devel/gnustep-make   Makefile 
    devel/gorm           Makefile 
    devel/highlighterkit Makefile 
    devel/objcunit       Makefile 
    devel/objectivelib   Makefile 
    devel/performance    Makefile 
    devel/projectcenter.app Makefile 
    devel/projectmanager Makefile 
    devel/ruby-gnustep   Makefile 
    devel/wizardkit      Makefile 
    editors/codeeditor   Makefile 
    editors/emacs.app    Makefile 
    editors/etoile-typewriter Makefile 
    editors/textedit.app Makefile 
    finance/expense      Makefile 
    ftp/gnustep-ftp      Makefile 
    ftp/waiho            Makefile 
    games/fortunate      Makefile 
    games/gmastermind    Makefile 
    games/gmines         Makefile 
    games/gnustep-ladder Makefile 
    games/gomoku.app     Makefile 
    games/gpuzzle        Makefile 
    games/gridlock       Makefile 
    games/grubik         Makefile 
    games/gshisen        Makefile 
    games/lapispuzzle    Makefile 
    games/nextgo         Makefile 
    games/oolite         Makefile 
    games/stepbill       Makefile 
    german/digibux       Makefile 
    graphics/camera      Makefile 
    graphics/camerakit   Makefile 
    graphics/cenon       Makefile 
    graphics/fortytwo    Makefile 
    graphics/gnustep-slideshow Makefile 
    graphics/gnustep-slideshowkit Makefile 
    graphics/imageviewer Makefile 
    graphics/photoclip   Makefile 
    graphics/pixen       Makefile 
    graphics/popplerkit  Makefile 
    graphics/preview     Makefile 
    graphics/price       Makefile 
    graphics/svgviewer   Makefile 
    graphics/vindaloo    Makefile 
    irc/talksoup         Makefile 
    japanese/jishyo      Makefile 
    lang/etoile-io       Makefile 
    lang/gnustep-guile   Makefile 
    lang/gnustep-objc    Makefile 
    lang/gscheme         Makefile 
    lang/steptalk        Makefile 
    mail/addresses       Makefile 
    mail/addresses-goodies Makefile 
    mail/gnumail         Makefile 
    mail/pantomime       Makefile 
    math/edenmath        Makefile 
    math/matharray       Makefile 
    math/stepulator      Makefile 
    misc/gnustep-examples Makefile 
    multimedia/etoile-babbler Makefile 
    multimedia/etoile-multimediakit Makefile 
    multimedia/gnustep-mplayer Makefile 
    multimedia/poe       Makefile 
    net-im/grouch        Makefile 
    net/netclasses       Makefile 
    net/remotedesk       Makefile 
    net/tryst            Makefile 
    net/tryst-examples   Makefile 
    net/zillion          Makefile 
    news/lusernet        Makefile 
    print/gspdf          Makefile 
    science/gtamsanalyzer Makefile 
    science/paje         Makefile 
    shells/gscommander   Makefile 
    sysutils/batmon      Makefile 
    sysutils/burn        Makefile 
    sysutils/etoile-behavior Makefile 
    sysutils/etoile-installer Makefile 
    sysutils/etoile-system Makefile 
    sysutils/timemon     Makefile 
    textproc/duncan      Makefile 
    textproc/easydiff    Makefile 
    textproc/etoile-lucenekit Makefile 
    textproc/etoile-ogrekit Makefile 
    textproc/latex-service Makefile 
    textproc/localize    Makefile 
    textproc/popup       Makefile 
    www/etoile-bookmarkkit Makefile 
    www/etoile-mollusk   Makefile 
    www/etoile-rsskit    Makefile 
    www/gnustep-ticker   Makefile 
    www/webserver        Makefile 
    x11-clocks/aclock    Makefile 
    x11-themes/etoile-azbackground Makefile 
    x11-themes/etoile-etoilemenus Makefile 
    x11-themes/etoile-iconkit Makefile 
    x11-themes/etoile-wildmenus Makefile 
    x11-toolkits/gnustep-back Makefile 
    x11-toolkits/gnustep-gui Makefile 
    x11-toolkits/gtoolkit Makefile 
    x11-toolkits/renaissance Makefile 
    x11-wm/etoile-azalea Makefile 
    x11-wm/etoile-azdock Makefile 
    x11/etoile           Makefile 
    x11/etoile-iterm     Makefile 
    x11/etoile-xwindowserverkit Makefile 
    x11/gnustep-app      Makefile 
    x11/gskrab           Makefile 
    x11/innerspace       Makefile 
    x11/terminal.app     Makefile 
  Log:
  - add category gnustep
  PR:             103931
  Approved by:    pav
  
  Revision  Changes    Path
  1.2       +1 -1      ports/archivers/freetar/Makefile
  1.5       +1 -1      ports/archivers/zipper/Makefile
  1.3       +1 -1      ports/astro/position/Makefile
  1.3       +1 -1      ports/audio/cddb-bundle/Makefile
  1.4       +1 -1      ports/audio/cynthiune/Makefile
  1.3       +1 -1      ports/audio/gnustep-cdplayer/Makefile
  1.2       +1 -1      ports/audio/mp3towav-bundle/Makefile
  1.3       +1 -1      ports/audio/mpdcon/Makefile
  1.5       +1 -1      ports/audio/volumecontrol.app/Makefile
  1.3       +1 -1      ports/benchmarks/gsbench/Makefile
  1.5       +1 -1      ports/biology/adun/Makefile
  1.2       +1 -1      ports/biology/biococoa/Makefile
  1.3       +1 -1      ports/databases/fortytwo-bdb/Makefile
  1.4       +1 -1      ports/databases/gdl2/Makefile
  1.3       +1 -1      ports/databases/mylibrary/Makefile
  1.4       +1 -1      ports/databases/sqlclient/Makefile
  1.3       +1 -1      ports/deskutils/affiche/Makefile
  1.3       +1 -1      ports/deskutils/appwrapper/Makefile
  1.2       +1 -1      ports/deskutils/cartotheque/Makefile
  1.4       +1 -1      ports/deskutils/charmap/Makefile
  1.3       +1 -1      ports/deskutils/displaycalibrator/Makefile
  1.6       +1 -1      ports/deskutils/etoile-dictionaryreader/Makefile
  1.6       +1 -1      ports/deskutils/etoile-extendedworkspacekit/Makefile
  1.5       +1 -1      ports/deskutils/etoile-hardware/Makefile
  1.5       +1 -1      ports/deskutils/etoile-lookandbehavior/Makefile
  1.5       +1 -1      ports/deskutils/etoile-menuserver/Makefile
  1.4       +1 -1      ports/deskutils/etoile-panekit/Makefile
  1.6       +1 -1      ports/deskutils/etoile-servicesbarkit/Makefile
  1.4       +1 -1      ports/deskutils/etoile-systemconfig/Makefile
  1.7       +1 -1      ports/deskutils/etoile-trackerkit/Makefile
  1.4       +1 -1      ports/deskutils/etoile-ui/Makefile
  1.3       +1 -1      ports/deskutils/gnustep-notebook/Makefile
  1.3       +1 -1      ports/deskutils/gnuwash/Makefile
  1.2       +1 -1      ports/deskutils/gworkspace-clipbook/Makefile
  1.3       +1 -1      ports/deskutils/gworkspace-gwmetadata/Makefile
  1.31      +1 -1      ports/deskutils/gworkspace/Makefile
  1.3       +1 -1      ports/deskutils/helpviewer/Makefile
  1.2       +1 -1      ports/deskutils/mywiki/Makefile
  1.3       +1 -1      ports/deskutils/plopfolio/Makefile
  1.3       +1 -1      ports/deskutils/preferencepanes/Makefile
  1.13      +1 -1      ports/deskutils/preferences.app/Makefile
  1.3       +1 -1      ports/deskutils/systempreferences/Makefile
  1.2       +1 -1      ports/deskutils/toolbox/Makefile
  1.3       +1 -1      ports/deskutils/toolboxkit/Makefile
  1.4       +1 -1      ports/devel/etoile-collectionkit/Makefile
  1.4       +1 -1      ports/devel/etoile-foundation/Makefile
  1.7       +1 -1      ports/devel/etoile-unitkit/Makefile
  1.3       +1 -1      ports/devel/fortytwo-encore/Makefile
  1.74      +1 -1      ports/devel/gnustep-make/Makefile
  1.66      +1 -1      ports/devel/gnustep/Makefile
  1.29      +1 -1      ports/devel/gorm/Makefile
  1.4       +1 -1      ports/devel/highlighterkit/Makefile
  1.3       +1 -1      ports/devel/objcunit/Makefile
  1.5       +1 -1      ports/devel/objectivelib/Makefile
  1.4       +1 -1      ports/devel/performance/Makefile
  1.36      +1 -1      ports/devel/projectcenter.app/Makefile
  1.3       +1 -1      ports/devel/projectmanager/Makefile
  1.35      +1 -1      ports/devel/ruby-gnustep/Makefile
  1.3       +1 -1      ports/devel/wizardkit/Makefile
  1.2       +1 -1      ports/editors/codeeditor/Makefile
  1.3       +1 -1      ports/editors/emacs.app/Makefile
  1.5       +1 -1      ports/editors/etoile-typewriter/Makefile
  1.3       +1 -1      ports/editors/textedit.app/Makefile
  1.2       +1 -1      ports/finance/expense/Makefile
  1.3       +1 -1      ports/ftp/gnustep-ftp/Makefile
  1.3       +1 -1      ports/ftp/waiho/Makefile
  1.2       +1 -1      ports/games/fortunate/Makefile
  1.3       +1 -1      ports/games/gmastermind/Makefile
  1.3       +1 -1      ports/games/gmines/Makefile
  1.4       +1 -1      ports/games/gnustep-ladder/Makefile
  1.22      +1 -1      ports/games/gomoku.app/Makefile
  1.3       +1 -1      ports/games/gpuzzle/Makefile
  1.4       +1 -1      ports/games/gridlock/Makefile
  1.4       +1 -1      ports/games/grubik/Makefile
  1.28      +1 -1      ports/games/gshisen/Makefile
  1.4       +1 -1      ports/games/lapispuzzle/Makefile
  1.3       +1 -1      ports/games/nextgo/Makefile
  1.8       +1 -1      ports/games/oolite/Makefile
  1.4       +1 -1      ports/games/stepbill/Makefile
  1.2       +1 -1      ports/german/digibux/Makefile
  1.5       +1 -1      ports/graphics/camera/Makefile
  1.3       +1 -1      ports/graphics/camerakit/Makefile
  1.9       +1 -1      ports/graphics/cenon/Makefile
  1.3       +1 -1      ports/graphics/fortytwo/Makefile
  1.7       +1 -1      ports/graphics/gnustep-slideshow/Makefile
  1.6       +1 -1      ports/graphics/gnustep-slideshowkit/Makefile
  1.12      +1 -1      ports/graphics/imageviewer/Makefile
  1.4       +1 -1      ports/graphics/photoclip/Makefile
  1.2       +1 -1      ports/graphics/pixen/Makefile
  1.3       +1 -1      ports/graphics/popplerkit/Makefile
  1.6       +1 -1      ports/graphics/preview/Makefile
  1.4       +1 -1      ports/graphics/price/Makefile
  1.2       +1 -1      ports/graphics/svgviewer/Makefile
  1.2       +1 -1      ports/graphics/vindaloo/Makefile
  1.4       +1 -1      ports/irc/talksoup/Makefile
  1.4       +1 -1      ports/japanese/jishyo/Makefile
  1.3       +1 -1      ports/lang/etoile-io/Makefile
  1.51      +1 -1      ports/lang/gnustep-guile/Makefile
  1.49      +1 -1      ports/lang/gnustep-objc/Makefile
  1.3       +1 -1      ports/lang/gscheme/Makefile
  1.3       +1 -1      ports/lang/steptalk/Makefile
  1.4       +1 -1      ports/mail/addresses-goodies/Makefile
  1.6       +1 -1      ports/mail/addresses/Makefile
  1.33      +1 -1      ports/mail/gnumail/Makefile
  1.29      +1 -1      ports/mail/pantomime/Makefile
  1.3       +1 -1      ports/math/edenmath/Makefile
  1.3       +1 -1      ports/math/matharray/Makefile
  1.4       +1 -1      ports/math/stepulator/Makefile
  1.17      +1 -1      ports/misc/gnustep-examples/Makefile
  1.2       +1 -1      ports/multimedia/etoile-babbler/Makefile
  1.5       +1 -1      ports/multimedia/etoile-multimediakit/Makefile
  1.3       +1 -1      ports/multimedia/gnustep-mplayer/Makefile
  1.3       +1 -1      ports/multimedia/poe/Makefile
  1.5       +1 -1      ports/net-im/grouch/Makefile
  1.3       +1 -1      ports/net/netclasses/Makefile
  1.3       +1 -1      ports/net/remotedesk/Makefile
  1.4       +1 -1      ports/net/tryst-examples/Makefile
  1.6       +1 -1      ports/net/tryst/Makefile
  1.3       +1 -1      ports/net/zillion/Makefile
  1.2       +1 -1      ports/news/lusernet/Makefile
  1.3       +1 -1      ports/print/gspdf/Makefile
  1.3       +1 -1      ports/science/gtamsanalyzer/Makefile
  1.4       +1 -1      ports/science/paje/Makefile
  1.9       +1 -1      ports/shells/gscommander/Makefile
  1.3       +1 -1      ports/sysutils/batmon/Makefile
  1.5       +1 -1      ports/sysutils/burn/Makefile
  1.4       +1 -1      ports/sysutils/etoile-behavior/Makefile
  1.5       +1 -1      ports/sysutils/etoile-installer/Makefile
  1.4       +1 -1      ports/sysutils/etoile-system/Makefile
  1.3       +1 -1      ports/sysutils/timemon/Makefile
  1.4       +1 -1      ports/textproc/duncan/Makefile
  1.10      +1 -1      ports/textproc/easydiff/Makefile
  1.5       +1 -1      ports/textproc/etoile-lucenekit/Makefile
  1.5       +1 -1      ports/textproc/etoile-ogrekit/Makefile
  1.2       +1 -1      ports/textproc/latex-service/Makefile
  1.2       +1 -1      ports/textproc/localize/Makefile
  1.2       +1 -1      ports/textproc/popup/Makefile
  1.6       +1 -1      ports/www/etoile-bookmarkkit/Makefile
  1.2       +1 -1      ports/www/etoile-mollusk/Makefile
  1.6       +1 -1      ports/www/etoile-rsskit/Makefile
  1.3       +1 -1      ports/www/gnustep-ticker/Makefile
  1.4       +1 -1      ports/www/webserver/Makefile
  1.4       +1 -1      ports/x11-clocks/aclock/Makefile
  1.3       +1 -1      ports/x11-themes/etoile-azbackground/Makefile
  1.6       +1 -1      ports/x11-themes/etoile-etoilemenus/Makefile
  1.6       +1 -1      ports/x11-themes/etoile-iconkit/Makefile
  1.6       +1 -1      ports/x11-themes/etoile-wildmenus/Makefile
  1.57      +1 -1      ports/x11-toolkits/gnustep-back/Makefile
  1.88      +1 -1      ports/x11-toolkits/gnustep-gui/Makefile
  1.30      +1 -1      ports/x11-toolkits/gtoolkit/Makefile
  1.4       +1 -1      ports/x11-toolkits/renaissance/Makefile
  1.6       +1 -1      ports/x11-wm/etoile-azalea/Makefile
  1.5       +1 -1      ports/x11-wm/etoile-azdock/Makefile
  1.6       +1 -1      ports/x11/etoile-iterm/Makefile
  1.7       +1 -1      ports/x11/etoile-xwindowserverkit/Makefile
  1.8       +1 -1      ports/x11/etoile/Makefile
  1.29      +1 -1      ports/x11/gnustep-app/Makefile
  1.4       +1 -1      ports/x11/gskrab/Makefile
  1.3       +1 -1      ports/x11/innerspace/Makefile
  1.3       +1 -1      ports/x11/terminal.app/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 pav freebsd_committer 2007-02-06 10:35:53 UTC
State Changed
From-To: analyzed->closed

Category was created and populated with 166 ports